# transfer wallet

**Last updated: 2025-12-29**

## Basic information about the interface

* Using the `POST` method
* `Content-Type: application/x-www-form-urlencoded`

### Create Player

```
POST /player/create
```

**Request:** `application/x-www-form-urlencoded`

**Request Header:**

| Paramet   | Type   | Required | Description                                                                |
| --------- | ------ | -------- | -------------------------------------------------------------------------- |
| signature | string | Y        | Encrypt request data for verification hex(sha256(appSecret + requestTime)) |

**Request:**

| Paramet           | Type   | Required | Description                                                    |
| ----------------- | ------ | -------- | -------------------------------------------------------------- |
| operatorID        | string | Y        | The operator ID registered in WE                               |
| playerID          | string | Y        | Player ID(Max length: 20 characters)                           |
| nickname          | string | Y        | Player nickname(Max length: 80 characters)                     |
| requestTime       | int64  | Y        | Request time must be within 15 minutes(Unix millisecond)       |
| errorResponseCode | string | N        | When set to 200, you can force thereturn status code to be 200 |

**Response Data:** `JSON`

```json
{
    "playerID": "mike",    // string Player ID,
    "currency": "RMB",     // string Currency,
    "time": 1627884739000  // int64 Time (Unix millisecond)
}
```

### Player Deposit

Deposit to player wallet

```
POST /player/deposit
```

**Request:** `application/x-www-form-urlencoded`

**Request Header:**

| Paramet   | Type   | Required | Description                                                                |
| --------- | ------ | -------- | -------------------------------------------------------------------------- |
| signature | string | Y        | Encrypt request data for verification hex(sha256(appSecret + requestTime)) |

**Request Data:**

| Paramet           | Type   | Required | Description                                                    |
| ----------------- | ------ | -------- | -------------------------------------------------------------- |
| operatorID        | string | Y        | The operator ID registered in WE                               |
| playerID          | string | Y        | Player ID(Max length: 20 characters)                           |
| uid               | string | Y        | Current transaction number(Max length: 50 characters)          |
| amount            | int64  | Y        | Amount (Unit: cent Max length: 100 billion cents)              |
| trackID           | string | N        | Track ID                                                       |
| requestTime       | int64  | Y        | Request time must be within 15 minutes(Unix millisecond)       |
| errorResponseCode | string | N        | When set to 200, you can force thereturn status code to be 200 |

**Response Data:** `JSON`

```json
{
  "balance": 10000,                // int64 Balance(unit:cent)
  "currency": "RMB",               // string Currency
  "time": 1627884739000,               // int64 Time (Unix millisecond)
  "refID": "c43p0ke14076gahfep5g"  // string WE transactionnumber
}
```

### Player Login

***Before logging in, you must first execute /player/deposit to transfer the balance, otherwise the amount may be lost.***

```
POST /player/launch
```

**Request:** `application/x-www-form-urlencoded`

**Request Header:**

| Paramet   | Type   | Required | Description                          |
| --------- | ------ | -------- | ------------------------------------ |
| signature | string | Y        | hex(sha256(appSecret + requestTime)) |

**Request Body:**

| Paramet       | Type    | Required | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| ------------- | ------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| operatorID    | string  | Y        | The operator ID registered in WE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| requestTime   | int64   | Y        | Request time must be within 15 minutes(Unix millisecond)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| playerID      | string  | Y        | Player ID                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| clientIP      | string  | Y        | player IP                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| tableID       | string  | Y        | Add the tableid parameter, you can specify the game table to enter.。 The table number can refer to the general API `/game/gamelist`。Bring in `MULTI` to enter multiplay mode.                                                                                                                                                                                                                                                                                                                                                           |
| category      | string  | Y        | Adding the category parameter allows for specifying entry into the lobby of that category.Please refer to "Parameter Category".                                                                                                                                                                                                                                                                                                                                                                                                         |
| isDemo        | boolean | N        | When set to "true"Provide a link with game demo,the link expires in 15 minutes.                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| platform      | string  | N        | <p>使用裝置<br>- Unknown<br>- Desktop<br>- Mobile</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| trackID       | string  | N        | Track ID                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| lang          | string  | N        | Add the lang parameter to specify the default language in thegame.Please refer to Language parameter description                                                                                                                                                                                                                                                                                                                                                                                                                        |
| timezone      | string  | N        | Add the timezone parameter to specify the default time zonedisplay in the game.                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| redirectUrl   | string  | NO       | <p>● empty Do not redirect<br>● postback window\.parent.postMessage("close")<br>● histback window\.history.back()<br>● url (Must be http or https beginning）window\.location.href=url Note: The following three items only support live and blockchain; other types of games are not applicable<br>● home On the desktop version is set to return to the WE game lobby.<br>● lobby On the mobile version is set to return to the WE main lobby.<br>● Live The back button is set to return to the specified game category lobby.。</p>   |
| uiMode        | string  | NO       | <p>Adding the uimode parameter to specify the display mode when entering the game. The default value is auto.<br>● auto<br>● mobile<br>● desktop</p>                                                                                                                                                                                                                                                                                                                                                                                    |
| uiHide        | string  | NO       | <p>Adding the uihide parameterto specify the components to be hidden when entering the game.If there are multiple components, separate them with commas.<br>● logo Hide the WE logo in the lobby<br>● banner Hide the lobby banner<br>● nav Hide the lobby navigation bar<br>● footer Hide the footer navigation bar on mobile version<br>● im Hide the chat room<br>● decimal To round down to an integer in the game client<br>● gameback Hide in-game back button<br>●top Hide the avatar and amount at the top of "Mobile Mode"</p> |
| betlimitindex | int64   | N        | You can set the default limit group when enter the game 0: first ， 1: second ， 2: third                                                                                                                                                                                                                                                                                                                                                                                                                                                 |

**Response:** `JSON`

```json
{
  url: "https://uat-weg-game-client.ufweg.com?lang=&timezone=UTC-4&token=ugs.cBx.08chr" // string game URL
}
```

### Player Withdraw

Withdraw funds from player wallets

```
POST /player/withdraw
```

**Request :** `application/x-www-form-urlencoded`

**Request Header:**

| Paramet   | Type   | Required | Description                                                                |
| --------- | ------ | -------- | -------------------------------------------------------------------------- |
| signature | string | Y        | Encrypt request data for verification hex(sha256(appSecret + requestTime)) |

**Request Body:**

| Paramet           | Type   | Required | Description                                              |
| ----------------- | ------ | -------- | -------------------------------------------------------- |
| operatorID        | string | Y        | The operator ID registered in WE                         |
| playerID          | string | Y        | Player ID(Max length: 20 characters)                     |
| uid               | string | Y        | Current transaction number(Max length: 50 characters)    |
| amount            | int64  | Y        | Amount (Unit: cent Max length: 100 billion cents)        |
| trackID           | string | N        | Track ID                                                 |
| requestTime       | int64  | Y        | Request time must be within 15 minutes(Unix millisecond) |
| errorResponseCode | string | N        | 設定為 200 時，可強制指定回傳狀態碼為 200                                |

**Response Data:** `JSON`

```json
{
  "balance": 10000,                // int64 Balance(unit:cent)
  "currency": "RMB",               // string Currency
  "time": 1627884739000,               // int64 Time (Unix millisecond)
  "refID": "c43p0ke14076gahfep5g"  // string WE transactionnumber
}
```

### Get Player's balance

Get Player's balance

```
POST /player/balance
```

**Request:** `application/x-www-form-urlencoded`

**Request Header:**

| Paramet   | Type   | Required | Description                                                                |
| --------- | ------ | -------- | -------------------------------------------------------------------------- |
| signature | string | Y        | Encrypt request data for verification hex(sha256(appSecret + requestTime)) |

**Request Body:**

| Paramet           | Type   | Required | Description                                                    |
| ----------------- | ------ | -------- | -------------------------------------------------------------- |
| operatorID        | string | Y        | The operator ID registered in WE                               |
| playerID          | string | Y        | Player ID(Max length: 20 characters)                           |
| requestTime       | int64  | Y        | Request time must be within 15 minutes(Unix millisecond)       |
| errorResponseCode | string | N        | When set to 200, you can force thereturn status code to be 200 |

**Response Data:** `JSON`

```json
{
  "balance": 10000,     // int64 Balance(unit:cent)
  "currency": "RMB",    // string Currency
  "time": 1627884739000    // int64 Time (Unix millisecond)
}
```

### Transfer Record

Obtain the transfer record, which can be called up to 10 times within 1minute, and the startTime and endTime are searched by transaction time.The default number of data transactions is 50 Once you enter the uid,startTime and endTime fields are not required.

```
POST /history/transfer
```

**Request :** `application/x-www-form-urlencoded`

**Request Header:**

| Paramet   | Type   | Required | Description                                                                |
| --------- | ------ | -------- | -------------------------------------------------------------------------- |
| signature | string | Y        | Encrypt request data for verification hex(sha256(appSecret + requestTime)) |

**Request Body:**

| Paramet           | Type   | Required | Description                                                    |
| ----------------- | ------ | -------- | -------------------------------------------------------------- |
| operatorID        | string | Y        | The operator ID registered in WE                               |
| startTime         | int64  | Y        | Search start time (Unix millisecond)                           |
| endTime           | int64  | Y        | Search end time (Unix millisecond)                             |
| playerID          | string | N        | Player ID(Max length: 20 characters)                           |
| uid               | string | N        | Current transaction number(Max length: 50 characters)          |
| limit             | int    | N        | Data limit number (default: 50 max:500)                        |
| requestTime       | int64  | Y        | Request time must be within 15 minutes(Unix millisecond)       |
| errorResponseCode | string | N        | When set to 200, you can force thereturn status code to be 200 |

**Response Data** `JSON`

```json
{
  "dataCount": 50, // int Data record
  "data": 
        [{
          "operatorID": "xf",  // string Operator ID
          "playerID": "mike",  // string Player ID
          "uid": "d210414003", // string Transaction number
          "refID": "c43p0ke14076gahfep5g", // string  WE transactionnumber
          "transferType": "deposit",  // string Transaction type
          "transferTime": 1618338629000, // int64 Time (Unix millisecond)
          "tranAmount": 10000, // int64 Transaction amount(unit:cent)
          "trackID": "",       // string Terminal ID
          "balance": 20000     // int64 Balance(unit:cent)
        }] 
}
```

### Player Blance List

Search the list of players whose current balance is greater than zero

```
POST /report/balance
```

**Request :** `application/x-www-form-urlencoded`

**Request Header:**

| Paramet   | Type   | Required | Description                                                                |
| --------- | ------ | -------- | -------------------------------------------------------------------------- |
| signature | string | Y        | Encrypt request data for verification hex(sha256(appSecret + requestTime)) |

**Request Body:**

| Paramet     | Type   | Required | Description                                              |
| ----------- | ------ | -------- | -------------------------------------------------------- |
| operatorID  | string | Y        | The operator ID registered in WE                         |
| requestTime | int64  | Y        | Request time must be within 15 minutes(Unix millisecond) |

**Response Data:** `JSON`

```json
{
  "dataCount": 70,                // int Data record
  "data": [{
             "playerID": "wetest",// string Player ID
             "balance": 1000000   // int64 Balance(unit:cent)
          }]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pkg333.app/en/transfer-wallet-api_en.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
